[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Accepted gdal 1.5.2-3~bpo40+1 (source i386 all)

Hash: SHA1

Format: 1.7
Date: Tue, 28 Oct 2008 17:59:53 +0100
Source: gdal
Binary: libgdal-ruby1.8 libgdal1-1.5.0 python-gdal libgdal-doc libgdal-ruby libgdal1-dev gdal-bin libgdal-perl
Architecture: source i386 all
Version: 1.5.2-3~bpo40+1
Distribution: etch-backports
Urgency: medium
Maintainer: frankie@debian.org
Changed-By: Francesco Paolo Lovergine <frankie@debian.org>
 gdal-bin   - Geospatial Data Abstraction Library - Utility programs
 libgdal-doc - Documentation for the Geospatial Data Abstraction Library
 libgdal-perl - Perl bindings to the Geospatial Data Abstraction Library
 libgdal-ruby - Ruby bindings to the Geospatial Data Abstraction Library
 libgdal-ruby1.8 - Ruby 1.8 bindings to the Geospatial Data Abstraction Library
 libgdal1-1.5.0 - Geospatial Data Abstraction Library
 libgdal1-dev - Geospatial Data Abstraction Library - Development files
 python-gdal - Python bindings to the Geospatial Data Abstraction Library
Closes: 462709 464452 466785 473912 473912 474415 476657 481263 484559 485582 489124
 gdal (1.5.2-3~bpo40+1) etch-backports; urgency=low
   * Backported to etch.
   * Moved libcurl4-dev -> libcurl3-dev in build-dep.
   * Using bpo libtool to respect versioning restriction and changed minimal
     version to match that available in bpo.
   * In build-deps:
     o Moved libnetcdf-dev -> netcdfg-dev
     o Moved libgif-dev -> libungif4-dev
     o Moved libxerces-c2-dev -> libxerces27-dev
   * Does not regenerate python swig stuff in debian/rules
     due to incompatibilities among etch swig version and gdal.
 gdal (1.5.2-3) unstable; urgency=low
   * [PATCH] sincos.dpatch: the sincos() function is already defined
     in libm. Hopefully this is the only case of a redefinition
     of a standard weak function. This is exploited casually only in
     case of an optimization because of the reason exposed in
     (closes: #489124)
 gdal (1.5.2-2) unstable; urgency=low
   * Updated build-deps:
   	netcdfg-dev -> libnetcdf-dev
         libungif4-dev -> libgif-dev
   * Policy bumped to 3.8.0.
   * Added build-dep on libexpat1-dev to enable use of Expat library.
   * Long descriptions revised.
   * [PATCH] New eoverflow.dpatch.
     It fixes largefile breakage introduced in recent versions.
     See http://trac.osgeo.org/gdal/ticket/2437.
 gdal (1.5.2-1) unstable; urgency=low
   * New upstream release. This is a bug fix release.
     (closes: #485582)
   * Patchset updated: removed max.dpatch, merged upstream.
   * Added a gdal-grass stanza in debian/rules to generate the gdal-grass
     tarball on fly.
   * Added a Suggests for python-gdal in gdal-bin stanza within debian/control.
 gdal (1.5.1-5) unstable; urgency=low
   * Installs gdal2tiles.py and other python scripts, previously missing.
     Due to dependency from python-gdal extensions, scripts are installed in
     that package instead of gdal-bin.
     (closes: #484559)
   * Removed ogr.py.dpatch for #473912. Fix needs to be applied on fly to
     be effective. It also causes a twice build FTBS. Added patch build-dep
     to apply ogr.py.diff in debian/rules.
     (closes: #473912)
 gdal (1.5.1-4) unstable; urgency=medium
   * [PATCH] ogr.py.dpatch added to manage #2187 upstream issue. Thanks Steko.
     (closes: #473912)
   * [PATCH] gdalpaths.dpatch added to use the same plugins directory
     used currently in gdal-grass. It would require a much better approach
     upstream. See #2371 upstream bug. Also changed path for share dir path
     to /usr/share/gdal15.
     (closes: #481263)
 gdal (1.5.1-3) unstable; urgency=low
   * Removed old-python stuff still around in debian/rules.
   * [PATCH] pythonmakefile.dpatch to fix wrong interpreter override in 1.5.1
     See #2333 on gdal trac.
     (closes: #476657)
   * Revised the build/install rules to manage better Swig stuff and
     specifically Python bindings.
 gdal (1.5.1-2) unstable; urgency=low
   * Moved libxerces27-dev dependency to libxerces-c2-dev in debian/control as
     requested by xerces maintainer for migration.
   * [PATCH] max.dpatch to fix max/min macros re-definition on some archs
     which breaks C++ building. This is taken from GDAL patchest 13700+13701 in trunk.
     Thanks DronK.
     (closes: #474415)
 gdal (1.5.1-1) unstable; urgency=low
   * New upstream release with useful bugfixes. No API/ABI changes, so
     retaining package versions.
     (closes: #464452)
   * Moved build-dep libcurl-dev -> libcurl3-dev in debian/control for etch backports.
   * Patch swig.dpatch removed (merged upstream).
   * Patch gcc32.dpatch removed (merged upstream).
 gdal (1.5.0-4) unstable; urgency=low
   * Fixed removing of .info file in python-central area
   * Fixed gcc43.dpatch to manage namespace issue. This is not accepted upstream.
     (closes: #462709)
   * Updated debian/TODO.
   * Forcing regeneration of perl wrappers with current Swig in debian/rules
     as suggested by Pabs.
     (closes: #466785)
 682f42aa804d9dae152d42b80d7abafb 1421 science extra gdal_1.5.2-3~bpo40+1.dsc
 7d825acd88f493eeb96f0e2105640152 6243485 science extra gdal_1.5.2.orig.tar.gz
 6e69cb3e99b3648c23c07f45d35717aa 16455 science extra gdal_1.5.2-3~bpo40+1.diff.gz
 539d3fa18225e78771a30ef2966cff20 2440868 libs extra libgdal1-1.5.0_1.5.2-3~bpo40+1_i386.deb
 b438f21a5fa8067e757458bd66884a3b 2896594 libdevel extra libgdal1-dev_1.5.2-3~bpo40+1_i386.deb
 14fae5c28cb51f480e0fe09f26269ab8 131212 science extra gdal-bin_1.5.2-3~bpo40+1_i386.deb
 805b74113561b663e517f0cafb53bceb 252936 python extra python-gdal_1.5.2-3~bpo40+1_i386.deb
 752ae7e2be7cc4b871274227631723f1 328158 perl extra libgdal-perl_1.5.2-3~bpo40+1_i386.deb
 f9d43b41a2bf01298f0eb8e1b84b975f 159336 interpreters extra libgdal-ruby1.8_1.5.2-3~bpo40+1_i386.deb
 bd2fb6deb3f4a6c6bbba0fbbb130e0ab 30434 interpreters extra libgdal-ruby_1.5.2-3~bpo40+1_i386.deb
 f9c6bd686d8e6205e3818cb75e838637 1168534 doc extra libgdal-doc_1.5.2-3~bpo40+1_all.deb

Version: GnuPG v1.4.9 (GNU/Linux)


  to pool/main/g/gdal/gdal-bin_1.5.2-3~bpo40+1_i386.deb
  to pool/main/g/gdal/gdal_1.5.2-3~bpo40+1.diff.gz
  to pool/main/g/gdal/gdal_1.5.2-3~bpo40+1.dsc
  to pool/main/g/gdal/gdal_1.5.2.orig.tar.gz
  to pool/main/g/gdal/libgdal-doc_1.5.2-3~bpo40+1_all.deb
  to pool/main/g/gdal/libgdal-perl_1.5.2-3~bpo40+1_i386.deb
  to pool/main/g/gdal/libgdal-ruby1.8_1.5.2-3~bpo40+1_i386.deb
  to pool/main/g/gdal/libgdal-ruby_1.5.2-3~bpo40+1_i386.deb
  to pool/main/g/gdal/libgdal1-1.5.0_1.5.2-3~bpo40+1_i386.deb
  to pool/main/g/gdal/libgdal1-dev_1.5.2-3~bpo40+1_i386.deb
  to pool/main/g/gdal/python-gdal_1.5.2-3~bpo40+1_i386.deb

Reply to: